IGeneralization

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IGeneralization

    com.change_vision.jude.api.inf.model.IGeneralization

All Implemented Interfaces:
  IElement, IHyperlinkOwner, INamedElement

public IGeneralization
extends INamedElement

Interface for Generalization.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IClass` | `getSubType()` Get Sub Type.
`abstract IClass` | `getSuperType()` Get Super Type.
`abstract void` | `setSubType(IClass subType)` Set Sub Type
`abstract void` | `setSuperType(IClass superType)` Get Super Type.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getSuperType

    public abstract IClass getSuperType()

  Get Super Type.

  Returns:
    Class

### getSubType

    public abstract IClass getSubType()

  Get Sub Type.

  Returns:
    Class

### setSuperType

    public abstract void setSuperType(IClass superType)

  Get Super Type.

  Parameters:
    `superType` - SuperType
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              CLASSIFIER_LOOP_KEY - if a generalization loop is found.
              GENERALIZATION_EXIST_KEY - if a generalization already exist.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### setSubType

    public abstract void setSubType(IClass subType)

  Set Sub Type

  Parameters:
    `subType` - Sub Type
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              LEAF_ERROR_KEY - if a child element is added to a leaf element, or an element with a child element is set as a leaf.
              CLASSIFIER_LOOP_KEY - if a generalization loop is found.
              GENERALIZATION_EXIST_KEY - if a generalization already exist.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD